Summary: Integrated database development tool for GNOME
Name: gsql
Version: 0.2.1
Release: alt1.1
License: GPL
Group: Databases
Packager: Boris Savelev <boris@altlinux.org>

Source: http://gsql.googlecode.com/files/%name-%version.tar.bz2
Url: http://gsql.org/

# Automatically added by buildreq on Sun Jan 11 2009
BuildRequires: libMySQL-devel libglade-devel libgnomeui-devel libgtksourceview-devel libnotify-devel libvte-devel
BuildRequires: gtk-doc librarian rpm-build-gnome rpm-build-compat

%description
Architecturely GSQL is designed so that the database
interfaces are arranged into modules linked to the
platform by engine API. It allows to implement new
engines independently. GSQL provides developers with a rich API.
To extend the functions of GSQL engines, we suggest loadable plugins API.

%package -n lib%name
Summary: Library for %name
Group: System/Libraries

%description -n lib%name
Library for %name

%package -n lib%name-devel
Summary: lib%name development files
Group: Development/C
Requires: lib%name = %version-%release

%description -n lib%name-devel
Development files for lib%name

%prep
%setup

%build
%undefine __libtoolize
%configure

%make_build

%install
%makeinstall_std
install -D -m644 %name.desktop %buildroot%_desktopdir/%name.desktop

%find_lang %name

%files -f %name.lang
%doc INSTALL AUTHORS COPYING ChangeLog INSTALL NEWS README TODO
%_bindir/%name
%_desktopdir/%name.desktop
%_datadir/%name
%gconf_schemasdir/%{name}*
%_pixmapsdir/%name
%_man1dir/%name.*
%dir %_libdir/%name/engines
%dir %_libdir/%name/plugins
%_libdir/%name/engines/*
%_libdir/%name/plugins/*
%_liconsdir/%name.png
# %_gtkdocdir/%name

%files -n lib%name
%_libdir/*.so.*

%files -n lib%name-devel
%_libdir/*.so
%_includedir/lib%name
%_pkgconfigdir/*.pc
# %gnome_helpdir/%name
# %_omfdir/%name

%changelog
* Mon Dec 06 2010 Igor Vlasenko <viy@altlinux.ru> 0.2.1-alt1.1
- rebuild with new libmysqlclient by request of libmysqlclient maintainer

* Fri Jan 30 2009 Boris Savelev <boris@altlinux.org> 0.2.1-alt1
- new version (0.2.1)

* Sun Jan 11 2009 Boris Savelev <boris@altlinux.org> 0.2.0-alt2
- fix buildreq

* Tue Dec 09 2008 Boris Savelev <boris@altlinux.org> 0.2.0-alt1
- initial build for Sisyphus

